/**
 * Created by hasankhan
 */
/* jshint jquery:true */
/* globals define */
define([
    'jquery',
    'globalVars',
    'navatron'
], function ($, globalVars) {
    'use strict';
    var navatronInit,
        _el;

    function initModule($el, settings) {
        window.$ = $;
        $el.navatron({
            navBreakpoint: globalVars.tweakpointNavToggle,
            desktop: settings.desktop,
            mobile: settings.mobile,
            onComplete: function () {}
        });
    }

    navatronInit = function (params, el) {
        _el = $(el);
        initModule(_el, params);
    };
    return navatronInit;
});